## octave 9.2.0

=== debian/changelog ===
octave (9.2.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jun 2024 13:20:54 +0200

octave (9.2.0-1) experimental; urgency=medium

  * New upstream version 9.2.0
  * d/control: add Breaks against older versions of octave-ga and
    octave-queueing

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jun 2024 13:19:54 +0200

octave (9.1.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 May 2024 14:52:27 +0200

octave (9.1.0-2) experimental; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)

  [ Sébastien Villemot ]
  * Enable Java on armel, it now works there.
    By the way, update the list of archs which do not have a JDK.
    (Closes: #1069542)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 May 2024 14:52:22 +0200

octave (9.1.0-1) experimental; urgency=medium

  * New upstream version 9.1.0

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 16 Mar 2024 19:14:58 +0100

octave (9.0.90-1) experimental; urgency=medium

  * New upstream version 9.0.90
  * d/copyright: reflect upstream changes
  * Bump to Qt 6 for building the GUI

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 09 Feb 2024 11:02:24 +0100
