## octave 9.3.0

=== debian/changelog ===
octave (9.3.0-1) unstable; urgency=medium

  * New upstream version 9.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Dec 2024 14:26:42 +0100

octave (9.2.0-3) unstable; urgency=medium

  * Use the “zero” JVM on archs where the “server” JVM does not exist
    (Closes: #1077977)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 03 Sep 2024 17:59:30 +0200
