=== debian/changelog ===
octave (9.4.0-1) unstable; urgency=medium

  * New upstream version 9.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 10 Feb 2025 18:01:32 +0100
