=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 WITH_JAVA_FLAGS := --disable-java
 else
 JAVA_HOME := /usr/lib/jvm/default-java
-JAVA_LIBDIR := $(shell if test -d $(JAVA_HOME)/lib/client; then echo $(JAVA_HOME)/lib/client; else echo $(JAVA_HOME)/lib/server; fi)
+# The “client” JVM no longer exists on OpenJDK 21, but is kept here for facilitating backports (see also #1077977)
+JAVA_LIBDIR := $(shell if test -d $(JAVA_HOME)/lib/server; then echo $(JAVA_HOME)/lib/server; elif test -d $(JAVA_HOME)/lib/zero; then echo $(JAVA_HOME)/lib/zero; elif test -d $(JAVA_HOME)/lib/client; then echo $(JAVA_HOME)/lib/client; fi)
 WITH_JAVA_FLAGS := --with-java-homedir=$(JAVA_HOME) --with-java-libdir=$(JAVA_LIBDIR)
 endif
