## octave 10.2.0

=== debian/changelog ===
octave (10.2.0-3) unstable; urgency=medium

  * d/octave.prerm:
    + Simplify code for removing the legacy file ls-R
    + Fix path for the octave_packages file
  * d/rules: Remove file octave_packages from the binary package

 -- Rafael Laboissière <rafael@debian.org>  Wed, 01 Oct 2025 03:56:40 -0300

octave (10.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * octave-dev now breaks swig (<< 4.3.0-2~), to ensure Octave 10 support
  * d/watch: upgrade to format version 5

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2025 13:09:07 +0200

octave (10.2.0-1) experimental; urgency=medium

  * New upstream version 10.2.0
  * d/copyright: update short license name for FSFULLRSD

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 09 Jun 2025 10:53:34 +0200

octave (10.1.0-1) experimental; urgency=medium

  * New upstream version 10.1.0

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 29 Mar 2025 21:08:18 +0100

octave (10.0.90-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 10.0.90
  * d/copyright: reflect upstream changes

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 12 Mar 2025 19:20:08 +0100
