=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -142,6 +142,7 @@
          gcc,
          g++
 Enhances: octave
+Breaks: swig (<< 4.3.0-2~)
 Description: development files for the GNU Octave language
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
