=== debian/rules ===
--- 
+++ 
@@ -91,3 +91,10 @@
 # Provide the virtual package octave-abi-MM
 override_dh_gencontrol:
 	dh_gencontrol -- -Voctave-abi:Provides=octave-abi-$(API_VERSION)
+
+# Remove the octave_packages file from the octave binary package. This
+# file is modified by the postinst script via the command "pkg
+# rebuild". If it is included in the binary package, then the piuparts
+# test fails.
+execute_after_dh_installdeb:
+	rm -f debian/octave-common/usr/share/octave/site/api-*/octave_packages
