=== debian/changelog ===
octave (10.3.0-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Change "octave" to "GNU Octave" in the description of the
    octave-common package

  [ Sébastien Villemot ]
  * Fix FTBFS on arch:all.
    The fortrandemo.cc file is present only in arch:any packages.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Oct 2025 15:18:05 +0200

octave (10.3.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 10.3.0
  * Drop “Rules-Requires-Root: no”, which is now the default

  [ Rafael Laboissière ]
  * d/rules: Fix permission of example file fortrandemo.cc

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Oct 2025 02:31:45 +0200
