=== debian/control ===
--- 
+++ 
@@ -59,7 +59,6 @@
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
-Rules-Requires-Root: no
 
 Package: octave
 Architecture: any
@@ -89,7 +88,7 @@
 Depends: ${misc:Depends}
 Recommends: fonts-freefont-otf
 Multi-Arch: foreign
-Description: architecture-independent files for octave
+Description: architecture-independent files for GNU Octave
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
