=== debian/rules ===
--- 
+++ 
@@ -96,5 +96,11 @@
 # file is modified by the postinst script via the command "pkg
 # rebuild". If it is included in the binary package, then the piuparts
 # test fails.
-execute_after_dh_installdeb:
+execute_after_dh_installdeb-indep:
 	rm -f debian/octave-common/usr/share/octave/site/api-*/octave_packages
+
+# This fixes a problem in the tarball, which triggers the
+# Lintian warning executable-not-elf-or-script. The issued has
+# been reported upstream: https://savannah.gnu.org/bugs/?67565
+execute_after_dh_installdeb-arch:
+	chmod -x debian/octave-dev/usr/share/doc/octave-dev/examples/fortrandemo.cc
