=== debian/tests/control ===
Tests: builtin-features, smoke, upstream-testsuite
Depends: @,
         default-jre-headless,
         fonts-freefont-otf,
         ghostscript,
         gnuplot-nox,
         octave-doc,
         shunit2,
         unzip,
         zip
Restrictions: allow-stderr
