=== debian/watch ===
Version: 5

Source: https://ftpmirror.gnu.org/octave/
Matching-Pattern: octave@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.sig/
