## octave 11.0.90

=== debian/changelog ===
octave (11.0.90-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 11.0.90
  * d/copyright: reflect upstream changes
  * d/rules: drop workaround for file with wrong permissions, no longer needed
  * d/tests/smoke: adapt for new format of version string

  [ Rafael Laboissière ]
  * d/control: Drop the redundant Priority field, which defaults to optional now
  * d/control: Bump Standards-Version to 4.7.3

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Jan 2026 22:31:36 +0100

octave (10.3.0-3) unstable; urgency=medium

  * texinfo-2025.patch: new patch, fixes FTBFS against texinfo.tex from 2025
    (Closes: #1118322)
  * Drop versioned Build-Depends on debhelper.
    No longer needed, the constraint is satifsied in oldoldstable.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Nov 2025 15:26:53 +0100
