=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>
 Section: math
-Priority: optional
 Build-Depends: automake,
                bison,
                debhelper-compat (= 13),
-               debhelper (>= 12.8~),
                default-jdk [!hppa !hurd-any],
                desktop-file-utils,
                epstool,
@@ -55,7 +53,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
