## octave 11.0.92

=== debian/changelog ===
octave (11.0.92-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 11.0.92
  * d/control: bump FLTK build dependency to 1.4
    i.e. Build-Depends on libfltk1.4-dev instead of libfltk1.3-dev.

  [ Rafael Laboissière ]
  * d/p/octave-pkgbuilddir.patch: Drop patch.
    This patch was previously needed for versions of dh-octave earlier
    than 1.14.0. The dh-octave's install-pkg.m script now installs the
    add-on package from a tarball instead of from the unpacked sources
    directory.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 05 Feb 2026 18:04:34 +0100
