## octave 11.1.0

=== debian/changelog ===
octave (11.1.0-1) experimental; urgency=medium

  * New upstream version 11.1.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Feb 2026 11:23:52 +0100
