=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libblas-dev,
                libcurl4-gnutls-dev,
                libfftw3-dev,
-               libfltk1.3-dev,
+               libfltk1.4-dev,
                libfontconfig-dev,
                libgl2ps-dev,
                libglpk-dev,
