## octave kernel-0.34.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	docker run -it --rm -p $(PORT):8888 calysto/octave-notebook
 
 test: clean
-	python -V 2>&1 | grep "Python 3" && python test_octave_kernel.py || echo "Skipping unit test"
+	python test_octave_kernel.py
 	jupyter nbconvert --to notebook --execute --ExecutePreprocessor.kernel_name=octave --ExecutePreprocessor.timeout=60 --stdout octave_kernel.ipynb > /dev/null;
 	make clean
