## octave tar-1.0.0

=== DESCRIPTION ===
Name: octave_tar
Version: 1.0.0
Date: 2024-11-07
Author: various authors
Maintainer: Yu Hongbo <yuhongbo@member.fsf.org>, CNOCTAVE <cnoctave@qq.com>
Title: tar wrapper
Description: The octave_tar package provides functions for pack and
 unpack about tar format.
Depends: octave (>= 8.0.0)
License: GPLv3+
Url: https://github.com/CNOCTAVE/octave_tar
