## octave zstd-1.0.2

=== DESCRIPTION ===
Name: octave_zstd
Version: 1.0.2
Date: 2024-10-10
Author: various authors
Maintainer: Yu Hongbo <yuhongbo@member.fsf.org>, CNOCTAVE <cnoctave@qq.com>
Title: ZSTD wrapper
Description: The octave_zstd package provides functions for compress and
 decompress about ZSTD format.
Depends: octave (>= 8.0.0)
License: GPLv3+
Url: https://github.com/CNOCTAVE/octave_zstd
